Name:           targetcli
Version:        2.1.54
Release:        1
License:        ASL 2.0
Summary:        Generic SCSI target CLI shell
URL:            https://github.com/open-iscsi/targetcli-fb
Source:         https://github.com/open-iscsi/targetcli-fb/archive/v2.1.54.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-rtslib target-restore python3-configshell python3-six python3-dbus python3-gobject %{name}-help

%description
Targetcli is an administration tool for managing storage targets
using the kernel LIO core target and compatible target fabric modules.

%package help
Summary: Help document for the %{name} package

%description help
Help document for the %{name} package.

%prep
%autosetup -n targetcli-fb-%{version} -p1

%build
%{__python3} setup.py build
gzip --stdout targetcli.8 > targetcli.8.gz

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
install -d %{buildroot}%{_sysconfdir}/target/backup
install -D -m 644 targetcli.8.gz %{buildroot}%{_mandir}/man8/targetcli.8.gz

%files
%doc COPYING README.md
%{python3_sitelib}/*
%{_bindir}/targetcli
%{_bindir}/targetclid
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup

%files     help
%{_mandir}/man8/targetcli.8.gz

%changelog
* Fri Jul 29 2022 zhuhai <zhuhai@ncti-gba.cn> - 2.1.54-1
- upgrade to version 2.1.54

* Mon Nov 09 2020 liuweibo <liuweibo10@huawei.com> - 2.1.fb48-11
- append help requires to targetcli

* Fri Jul 24 2020 wangyue <wangyue92@huawei.com> - 2.1.fb48-10
- fix unexpected error raised when adding luns

* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 2.1.fb48-9
- Package int
